local gsmEditor = {}

local configPars = require("configParser")
local formatter = require("formatter")
local filePath = "/etc/rsm/gsd/messaging.xml"

function gsmEditor:getXmlFiles()

  local currentCdd = configPars.parse(filePath,"xml")
  return currentCdd

end



function gsmEditor:writeXmlFiles(fileTable)

  configPars.write(filePath,"xml",fileTable)
  formatter:replaceSingleQuotes(filePath)

end

return gsmEditor
